# GstAudioResampler

GstAudioResampler is a structure which holds the information required to perform various kinds of resampling filtering.

## GstAudioResampler

Opaque GstAudioResampler struct.

Since : 1.10

## GstAudio.AudioResampler

Opaque GstAudio.AudioResampler struct.

Since : 1.10

## GstAudio.AudioResampler

Opaque GstAudio.AudioResampler struct.

Since : 1.10

### Methods

#### gst_audio_resampler_free

    gst_audio_resampler_free (GstAudioResampler * resampler)

Free a previously allocated GstAudioResampler resampler.

Parameters:

`resampler` –

a GstAudioResampler

#### GstAudio.AudioResampler.prototype.free

    function GstAudio.AudioResampler.prototype.free(): {
        // javascript wrapper for 'gst_audio_resampler_free'
    }

Free a previously allocated GstAudio.AudioResampler resampler.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

#### GstAudio.AudioResampler.free

    def GstAudio.AudioResampler.free (self):
        #python wrapper for 'gst_audio_resampler_free'

Free a previously allocated GstAudio.AudioResampler resampler.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

#### gst_audio_resampler_get_in_frames

    gsize
    gst_audio_resampler_get_in_frames (GstAudioResampler * resampler,
                                       gsize out_frames)

Get the number of input frames that would currently be needed to produce out_frames from resampler.

Parameters:

`resampler` –

a GstAudioResampler

`out_frames` –

number of input frames

Returns –

The number of input frames needed for producing out_frames of data from resampler.

#### GstAudio.AudioResampler.prototype.get_in_frames

    function GstAudio.AudioResampler.prototype.get_in_frames(out_frames: Number): {
        // javascript wrapper for 'gst_audio_resampler_get_in_frames'
    }

Get the number of input frames that would currently be needed to produce out_frames from resampler.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`out_frames` (Number) –

number of input frames

Returns (Number) –

The number of input frames needed for producing out_frames of data from resampler.

#### GstAudio.AudioResampler.get_in_frames

    def GstAudio.AudioResampler.get_in_frames (self, out_frames):
        #python wrapper for 'gst_audio_resampler_get_in_frames'

Get the number of input frames that would currently be needed to produce out_frames from resampler.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`out_frames` (int) –

number of input frames

Returns (int) –

The number of input frames needed for producing out_frames of data from resampler.

#### gst_audio_resampler_get_max_latency

    gsize
    gst_audio_resampler_get_max_latency (GstAudioResampler * resampler)

Get the maximum number of input samples that the resampler would need before producing output.

Parameters:

`resampler` –

a GstAudioResampler

Returns –

the latency of resampler as expressed in the number of frames.

#### GstAudio.AudioResampler.prototype.get_max_latency

    function GstAudio.AudioResampler.prototype.get_max_latency(): {
        // javascript wrapper for 'gst_audio_resampler_get_max_latency'
    }

Get the maximum number of input samples that the resampler would need before producing output.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

Returns (Number) –

the latency of resampler as expressed in the number of frames.

#### GstAudio.AudioResampler.get_max_latency

    def GstAudio.AudioResampler.get_max_latency (self):
        #python wrapper for 'gst_audio_resampler_get_max_latency'

Get the maximum number of input samples that the resampler would need before producing output.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

Returns (int) –

the latency of resampler as expressed in the number of frames.

#### gst_audio_resampler_get_out_frames

    gsize
    gst_audio_resampler_get_out_frames (GstAudioResampler * resampler,
                                        gsize in_frames)

Get the number of output frames that would be currently available when in_frames are given to resampler.

Parameters:

`resampler` –

a GstAudioResampler

`in_frames` –

number of input frames

Returns –

The number of frames that would be available after giving in_frames as input to resampler.

#### GstAudio.AudioResampler.prototype.get_out_frames

    function GstAudio.AudioResampler.prototype.get_out_frames(in_frames: Number): {
        // javascript wrapper for 'gst_audio_resampler_get_out_frames'
    }

Get the number of output frames that would be currently available when in_frames are given to resampler.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`in_frames` (Number) –

number of input frames

Returns (Number) –

The number of frames that would be available after giving in_frames as input to resampler.

#### GstAudio.AudioResampler.get_out_frames

    def GstAudio.AudioResampler.get_out_frames (self, in_frames):
        #python wrapper for 'gst_audio_resampler_get_out_frames'

Get the number of output frames that would be currently available when in_frames are given to resampler.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`in_frames` (int) –

number of input frames

Returns (int) –

The number of frames that would be available after giving in_frames as input to resampler.

#### gst_audio_resampler_resample

    gst_audio_resampler_resample (GstAudioResampler * resampler,
                                  gpointer * in,
                                  gsize in_frames,
                                  gpointer * out,
                                  gsize out_frames)

Perform resampling on in_frames frames in in and write out_frames to out.

In case the samples are interleaved, in and out must point to an array with a single element pointing to a block of interleaved samples.

If non-interleaved samples are used, in and out must point to an array with pointers to memory blocks, one for each channel.

in may be NULL, in which case in_frames of silence samples are pushed into the resampler.

This function always produces out_frames of output and consumes in_frames of input. Use gst_audio_resampler_get_out_frames and gst_audio_resampler_get_in_frames to make sure in_frames and out_frames are matching and in and out point to enough memory.

Parameters:

`resampler` –

a GstAudioResampler

`in` –

input samples

`in_frames` –

number of input frames

`out` –

output samples

`out_frames` –

number of output frames

#### GstAudio.AudioResampler.prototype.resample

    function GstAudio.AudioResampler.prototype.resample(in: Object, in_frames: Number, out: Object, out_frames: Number): {
        // javascript wrapper for 'gst_audio_resampler_resample'
    }

Perform resampling on in_frames frames in in and write out_frames to out.

In case the samples are interleaved, in and out must point to an array with a single element pointing to a block of interleaved samples.

If non-interleaved samples are used, in and out must point to an array with pointers to memory blocks, one for each channel.

in may be null, in which case in_frames of silence samples are pushed into the resampler.

This function always produces out_frames of output and consumes in_frames of input. Use GstAudio.AudioResampler.prototype.get_out_frames and GstAudio.AudioResampler.prototype.get_in_frames to make sure in_frames and out_frames are matching and in and out point to enough memory.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`in` (Object) –

input samples

`in_frames` (Number) –

number of input frames

`out` (Object) –

output samples

`out_frames` (Number) –

number of output frames

#### GstAudio.AudioResampler.resample

    def GstAudio.AudioResampler.resample (self, in, in_frames, out, out_frames):
        #python wrapper for 'gst_audio_resampler_resample'

Perform resampling on in_frames frames in in and write out_frames to out.

In case the samples are interleaved, in and out must point to an array with a single element pointing to a block of interleaved samples.

If non-interleaved samples are used, in and out must point to an array with pointers to memory blocks, one for each channel.

in may be None, in which case in_frames of silence samples are pushed into the resampler.

This function always produces out_frames of output and consumes in_frames of input. Use GstAudio.AudioResampler.get_out_frames and GstAudio.AudioResampler.get_in_frames to make sure in_frames and out_frames are matching and in and out point to enough memory.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`in` (object) –

input samples

`in_frames` (int) –

number of input frames

`out` (object) –

output samples

`out_frames` (int) –

number of output frames

#### gst_audio_resampler_reset

    gst_audio_resampler_reset (GstAudioResampler * resampler)

Reset resampler to the state it was when it was first created, discarding all sample history.

Parameters:

`resampler` –

a GstAudioResampler

#### GstAudio.AudioResampler.prototype.reset

    function GstAudio.AudioResampler.prototype.reset(): {
        // javascript wrapper for 'gst_audio_resampler_reset'
    }

Reset resampler to the state it was when it was first created, discarding all sample history.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

#### GstAudio.AudioResampler.reset

    def GstAudio.AudioResampler.reset (self):
        #python wrapper for 'gst_audio_resampler_reset'

Reset resampler to the state it was when it was first created, discarding all sample history.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

#### gst_audio_resampler_update

    gboolean
    gst_audio_resampler_update (GstAudioResampler * resampler,
                                gint in_rate,
                                gint out_rate,
                                GstStructure * options)

Update the resampler parameters for resampler. This function should not be called concurrently with any other function on resampler.

When in_rate or out_rate is 0, its value is unchanged.

When options is NULL, the previously configured options are reused.

Parameters:

`resampler` –

a GstAudioResampler

`in_rate` –

new input rate

`out_rate` –

new output rate

`options` –

new options or NULL

Returns –

TRUE if the new parameters could be set

#### GstAudio.AudioResampler.prototype.update

    function GstAudio.AudioResampler.prototype.update(in_rate: Number, out_rate: Number, options: Gst.Structure): {
        // javascript wrapper for 'gst_audio_resampler_update'
    }

Update the resampler parameters for resampler. This function should not be called concurrently with any other function on resampler.

When in_rate or out_rate is 0, its value is unchanged.

When options is null, the previously configured options are reused.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`in_rate` (Number) –

new input rate

`out_rate` (Number) –

new output rate

`options` (Gst.Structure) –

new options or null

Returns (Number) –

true if the new parameters could be set

#### GstAudio.AudioResampler.update

    def GstAudio.AudioResampler.update (self, in_rate, out_rate, options):
        #python wrapper for 'gst_audio_resampler_update'

Update the resampler parameters for resampler. This function should not be called concurrently with any other function on resampler.

When in_rate or out_rate is 0, its value is unchanged.

When options is None, the previously configured options are reused.

Parameters:

`resampler` (GstAudio.AudioResampler) –

a GstAudio.AudioResampler

`in_rate` (int) –

new input rate

`out_rate` (int) –

new output rate

`options` (Gst.Structure) –

new options or None

Returns (bool) –

True if the new parameters could be set

### Functions

#### gst_audio_resampler_new

    GstAudioResampler *
    gst_audio_resampler_new (GstAudioResamplerMethod method,
                             GstAudioResamplerFlags flags,
                             GstAudioFormat format,
                             gint channels,
                             gint in_rate,
                             gint out_rate,
                             GstStructure * options)

Make a new resampler.

Parameters:

`method` –

a GstAudioResamplerMethod

`flags` –

GstAudioResamplerFlags

`format` –

the GstAudioFormat

`channels` –

the number of channels

`in_rate` –

input rate

`out_rate` –

output rate

`options` –

extra options

Returns ( [transfer: full]) –

The new GstAudioResampler.

#### GstAudio.prototype.audio_resampler_new

    function GstAudio.prototype.audio_resampler_new(method: GstAudio.AudioResamplerMethod, flags: GstAudio.AudioResamplerFlags, format: GstAudio.AudioFormat, channels: Number, in_rate: Number, out_rate: Number, options: Gst.Structure): {
        // javascript wrapper for 'gst_audio_resampler_new'
    }

Make a new resampler.

Parameters:

`method` (GstAudio.AudioResamplerMethod) –

a GstAudio.AudioResamplerMethod

`flags` (GstAudio.AudioResamplerFlags) –

GstAudio.AudioResamplerFlags

`format` (GstAudio.AudioFormat) –

the GstAudio.AudioFormat

`channels` (Number) –

the number of channels

`in_rate` (Number) –

input rate

`out_rate` (Number) –

output rate

`options` (Gst.Structure) –

extra options

Returns (GstAudio.AudioResampler) –

The new GstAudio.AudioResampler.

#### GstAudio.audio_resampler_new

    def GstAudio.audio_resampler_new (method, flags, format, channels, in_rate, out_rate, options):
        #python wrapper for 'gst_audio_resampler_new'

Make a new resampler.

Parameters:

`method` (GstAudio.AudioResamplerMethod) –

a GstAudio.AudioResamplerMethod

`flags` (GstAudio.AudioResamplerFlags) –

GstAudio.AudioResamplerFlags

`format` (GstAudio.AudioFormat) –

the GstAudio.AudioFormat

`channels` (int) –

the number of channels

`in_rate` (int) –

input rate

`out_rate` (int) –

output rate

`options` (Gst.Structure) –

extra options

Returns (GstAudio.AudioResampler) –

The new GstAudio.AudioResampler.

#### gst_audio_resampler_options_set_quality

    gst_audio_resampler_options_set_quality (GstAudioResamplerMethod method,
                                             guint quality,
                                             gint in_rate,
                                             gint out_rate,
                                             GstStructure * options)

Set the parameters for resampling from in_rate to out_rate using method for quality in options.

Parameters:

`method` –

a GstAudioResamplerMethod

`quality` –

the quality

`in_rate` –

the input rate

`out_rate` –

the output rate

`options` –

a GstStructure

#### GstAudio.prototype.audio_resampler_options_set_quality

    function GstAudio.prototype.audio_resampler_options_set_quality(method: GstAudio.AudioResamplerMethod, quality: Number, in_rate: Number, out_rate: Number, options: Gst.Structure): {
        // javascript wrapper for 'gst_audio_resampler_options_set_quality'
    }

Set the parameters for resampling from in_rate to out_rate using method for quality in options.

Parameters:

`method` (GstAudio.AudioResamplerMethod) –

a GstAudio.AudioResamplerMethod

`quality` (Number) –

the quality

`in_rate` (Number) –

the input rate

`out_rate` (Number) –

the output rate

`options` (Gst.Structure) –

a Gst.Structure

#### GstAudio.audio_resampler_options_set_quality

    def GstAudio.audio_resampler_options_set_quality (method, quality, in_rate, out_rate, options):
        #python wrapper for 'gst_audio_resampler_options_set_quality'

Set the parameters for resampling from in_rate to out_rate using method for quality in options.

Parameters:

`method` (GstAudio.AudioResamplerMethod) –

a GstAudio.AudioResamplerMethod

`quality` (int) –

the quality

`in_rate` (int) –

the input rate

`out_rate` (int) –

the output rate

`options` (Gst.Structure) –

a Gst.Structure

## Enumerations

### GstAudioResamplerFilterInterpolation

The different filter interpolation methods.

##### Members

`GST_AUDIO_RESAMPLER_FILTER_INTERPOLATION_NONE` (0) –

no interpolation

`GST_AUDIO_RESAMPLER_FILTER_INTERPOLATION_LINEAR` (1) –

linear interpolation of the filter coefficients.

`GST_AUDIO_RESAMPLER_FILTER_INTERPOLATION_CUBIC` (2) –

cubic interpolation of the filter coefficients.

Since : 1.10

### GstAudio.AudioResamplerFilterInterpolation

The different filter interpolation methods.

##### Members

`GstAudio.AudioResamplerFilterInterpolation.NONE` (0) –

no interpolation

`GstAudio.AudioResamplerFilterInterpolation.LINEAR` (1) –

linear interpolation of the filter coefficients.

`GstAudio.AudioResamplerFilterInterpolation.CUBIC` (2) –

cubic interpolation of the filter coefficients.

Since : 1.10

### GstAudio.AudioResamplerFilterInterpolation

The different filter interpolation methods.

##### Members

`GstAudio.AudioResamplerFilterInterpolation.NONE` (0) –

no interpolation

`GstAudio.AudioResamplerFilterInterpolation.LINEAR` (1) –

linear interpolation of the filter coefficients.

`GstAudio.AudioResamplerFilterInterpolation.CUBIC` (2) –

cubic interpolation of the filter coefficients.

Since : 1.10

### GstAudioResamplerFilterMode

Select for the filter tables should be set up.

##### Members

`GST_AUDIO_RESAMPLER_FILTER_MODE_INTERPOLATED` (0) –

Use interpolated filter tables. This uses less memory but more CPU and is slightly less accurate but it allows for more efficient variable rate resampling with gst_audio_resampler_update.

`GST_AUDIO_RESAMPLER_FILTER_MODE_FULL` (1) –

Use full filter table. This uses more memory but less CPU.

`GST_AUDIO_RESAMPLER_FILTER_MODE_AUTO` (2) –

Automatically choose between interpolated and full filter tables.

Since : 1.10

### GstAudio.AudioResamplerFilterMode

Select for the filter tables should be set up.

##### Members

`GstAudio.AudioResamplerFilterMode.INTERPOLATED` (0) –

Use interpolated filter tables. This uses less memory but more CPU and is slightly less accurate but it allows for more efficient variable rate resampling with GstAudio.AudioResampler.prototype.update.

`GstAudio.AudioResamplerFilterMode.FULL` (1) –

Use full filter table. This uses more memory but less CPU.

`GstAudio.AudioResamplerFilterMode.AUTO` (2) –

Automatically choose between interpolated and full filter tables.

Since : 1.10

### GstAudio.AudioResamplerFilterMode

Select for the filter tables should be set up.

##### Members

`GstAudio.AudioResamplerFilterMode.INTERPOLATED` (0) –

Use interpolated filter tables. This uses less memory but more CPU and is slightly less accurate but it allows for more efficient variable rate resampling with GstAudio.AudioResampler.update.

`GstAudio.AudioResamplerFilterMode.FULL` (1) –

Use full filter table. This uses more memory but less CPU.

`GstAudio.AudioResamplerFilterMode.AUTO` (2) –

Automatically choose between interpolated and full filter tables.

Since : 1.10

### GstAudioResamplerFlags

Different resampler flags.

##### Members

`GST_AUDIO_RESAMPLER_FLAG_NONE` (0) –

no flags

`GST_AUDIO_RESAMPLER_FLAG_NON_INTERLEAVED_IN` (1) –

input samples are non-interleaved. an array of blocks of samples, one for each channel, should be passed to the resample function.

`GST_AUDIO_RESAMPLER_FLAG_NON_INTERLEAVED_OUT` (2) –

output samples are non-interleaved. an array of blocks of samples, one for each channel, should be passed to the resample function.

`GST_AUDIO_RESAMPLER_FLAG_VARIABLE_RATE` (4) –

optimize for dynamic updates of the sample rates with gst_audio_resampler_update. This will select an interpolating filter when GST_AUDIO_RESAMPLER_FILTER_MODE_AUTO is configured.

Since : 1.10

### GstAudio.AudioResamplerFlags

Different resampler flags.

##### Members

`GstAudio.AudioResamplerFlags.NONE` (0) –

no flags

`GstAudio.AudioResamplerFlags.NON_INTERLEAVED_IN` (1) –

input samples are non-interleaved. an array of blocks of samples, one for each channel, should be passed to the resample function.

`GstAudio.AudioResamplerFlags.NON_INTERLEAVED_OUT` (2) –

output samples are non-interleaved. an array of blocks of samples, one for each channel, should be passed to the resample function.

`GstAudio.AudioResamplerFlags.VARIABLE_RATE` (4) –

optimize for dynamic updates of the sample rates with GstAudio.AudioResampler.prototype.update. This will select an interpolating filter when GstAudio.AudioResamplerFilterMode.AUTO is configured.

Since : 1.10

### GstAudio.AudioResamplerFlags

Different resampler flags.

##### Members

`GstAudio.AudioResamplerFlags.NONE` (0) –

no flags

`GstAudio.AudioResamplerFlags.NON_INTERLEAVED_IN` (1) –

input samples are non-interleaved. an array of blocks of samples, one for each channel, should be passed to the resample function.

`GstAudio.AudioResamplerFlags.NON_INTERLEAVED_OUT` (2) –

output samples are non-interleaved. an array of blocks of samples, one for each channel, should be passed to the resample function.

`GstAudio.AudioResamplerFlags.VARIABLE_RATE` (4) –

optimize for dynamic updates of the sample rates with GstAudio.AudioResampler.update. This will select an interpolating filter when GstAudio.AudioResamplerFilterMode.AUTO is configured.

Since : 1.10

### GstAudioResamplerMethod

Different subsampling and upsampling methods

##### Members

`GST_AUDIO_RESAMPLER_METHOD_NEAREST` (0) –

Duplicates the samples when upsampling and drops when downsampling

`GST_AUDIO_RESAMPLER_METHOD_LINEAR` (1) –

Uses linear interpolation to reconstruct missing samples and averaging to downsample

`GST_AUDIO_RESAMPLER_METHOD_CUBIC` (2) –

Uses cubic interpolation

`GST_AUDIO_RESAMPLER_METHOD_BLACKMAN_NUTTALL` (3) –

Uses Blackman-Nuttall windowed sinc interpolation

`GST_AUDIO_RESAMPLER_METHOD_KAISER` (4) –

Uses Kaiser windowed sinc interpolation

Since : 1.10

### GstAudio.AudioResamplerMethod

Different subsampling and upsampling methods

##### Members

`GstAudio.AudioResamplerMethod.NEAREST` (0) –

Duplicates the samples when upsampling and drops when downsampling

`GstAudio.AudioResamplerMethod.LINEAR` (1) –

Uses linear interpolation to reconstruct missing samples and averaging to downsample

`GstAudio.AudioResamplerMethod.CUBIC` (2) –

Uses cubic interpolation

`GstAudio.AudioResamplerMethod.BLACKMAN_NUTTALL` (3) –

Uses Blackman-Nuttall windowed sinc interpolation

`GstAudio.AudioResamplerMethod.KAISER` (4) –

Uses Kaiser windowed sinc interpolation

Since : 1.10

### GstAudio.AudioResamplerMethod

Different subsampling and upsampling methods

##### Members

`GstAudio.AudioResamplerMethod.NEAREST` (0) –

Duplicates the samples when upsampling and drops when downsampling

`GstAudio.AudioResamplerMethod.LINEAR` (1) –

Uses linear interpolation to reconstruct missing samples and averaging to downsample

`GstAudio.AudioResamplerMethod.CUBIC` (2) –

Uses cubic interpolation

`GstAudio.AudioResamplerMethod.BLACKMAN_NUTTALL` (3) –

Uses Blackman-Nuttall windowed sinc interpolation

`GstAudio.AudioResamplerMethod.KAISER` (4) –

Uses Kaiser windowed sinc interpolation

Since : 1.10

## Constants

### GST_AUDIO_RESAMPLER_OPT_CUBIC_B

    #define GST_AUDIO_RESAMPLER_OPT_CUBIC_B      "GstAudioResampler.cubic-b"

G_TYPE_DOUBLE, B parameter of the cubic filter. Values between 0.0 and 2.0 are accepted. 1.0 is the default.

Below are some values of popular filters: B C Hermite 0.0 0.0 Spline 1.0 0.0 Catmull-Rom 0.0 1/2

### GstAudio.AUDIO_RESAMPLER_OPT_CUBIC_B

G_TYPE_DOUBLE, B parameter of the cubic filter. Values between 0.0 and 2.0 are accepted. 1.0 is the default.

Below are some values of popular filters: B C Hermite 0.0 0.0 Spline 1.0 0.0 Catmull-Rom 0.0 1/2

### GstAudio.AUDIO_RESAMPLER_OPT_CUBIC_B

G_TYPE_DOUBLE, B parameter of the cubic filter. Values between 0.0 and 2.0 are accepted. 1.0 is the default.

Below are some values of popular filters: B C Hermite 0.0 0.0 Spline 1.0 0.0 Catmull-Rom 0.0 1/2

### GST_AUDIO_RESAMPLER_OPT_CUBIC_C

    #define GST_AUDIO_RESAMPLER_OPT_CUBIC_C      "GstAudioResampler.cubic-c"

G_TYPE_DOUBLE, C parameter of the cubic filter. Values between 0.0 and 2.0 are accepted. 0.0 is the default.

See GST_AUDIO_RESAMPLER_OPT_CUBIC_B for some more common values

### GstAudio.AUDIO_RESAMPLER_OPT_CUBIC_C

G_TYPE_DOUBLE, C parameter of the cubic filter. Values between 0.0 and 2.0 are accepted. 0.0 is the default.

See GstAudio.AUDIO_RESAMPLER_OPT_CUBIC_B for some more common values

### GstAudio.AUDIO_RESAMPLER_OPT_CUBIC_C

G_TYPE_DOUBLE, C parameter of the cubic filter. Values between 0.0 and 2.0 are accepted. 0.0 is the default.

See GstAudio.AUDIO_RESAMPLER_OPT_CUBIC_B for some more common values

### GST_AUDIO_RESAMPLER_OPT_CUTOFF

    #define GST_AUDIO_RESAMPLER_OPT_CUTOFF      "GstAudioResampler.cutoff"

G_TYPE_DOUBLE, Cutoff parameter for the filter. 0.940 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_CUTOFF

G_TYPE_DOUBLE, Cutoff parameter for the filter. 0.940 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_CUTOFF

G_TYPE_DOUBLE, Cutoff parameter for the filter. 0.940 is the default.

### GST_AUDIO_RESAMPLER_OPT_FILTER_INTERPOLATION

    #define GST_AUDIO_RESAMPLER_OPT_FILTER_INTERPOLATION "GstAudioResampler.filter-interpolation"

GST_TYPE_AUDIO_RESAMPLER_INTERPOLATION: how the filter coefficients should be interpolated. GST_AUDIO_RESAMPLER_FILTER_INTERPOLATION_CUBIC is default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_INTERPOLATION

GST_TYPE_AUDIO_RESAMPLER_INTERPOLATION: how the filter coefficients should be interpolated. GST_AUDIO_RESAMPLER_FILTER_INTERPOLATION_CUBIC is default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_INTERPOLATION

GST_TYPE_AUDIO_RESAMPLER_INTERPOLATION: how the filter coefficients should be interpolated. GST_AUDIO_RESAMPLER_FILTER_INTERPOLATION_CUBIC is default.

### GST_AUDIO_RESAMPLER_OPT_FILTER_MODE

    #define GST_AUDIO_RESAMPLER_OPT_FILTER_MODE      "GstAudioResampler.filter-mode"

GST_TYPE_AUDIO_RESAMPLER_FILTER_MODE: how the filter tables should be constructed. GST_AUDIO_RESAMPLER_FILTER_MODE_AUTO is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_MODE

GST_TYPE_AUDIO_RESAMPLER_FILTER_MODE: how the filter tables should be constructed. GST_AUDIO_RESAMPLER_FILTER_MODE_AUTO is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_MODE

GST_TYPE_AUDIO_RESAMPLER_FILTER_MODE: how the filter tables should be constructed. GST_AUDIO_RESAMPLER_FILTER_MODE_AUTO is the default.

### GST_AUDIO_RESAMPLER_OPT_FILTER_MODE_THRESHOLD

    #define GST_AUDIO_RESAMPLER_OPT_FILTER_MODE_THRESHOLD "GstAudioResampler.filter-mode-threshold"

G_TYPE_UINT: the amount of memory to use for full filter tables before switching to interpolated filter tables. 1048576 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_MODE_THRESHOLD

G_TYPE_UINT: the amount of memory to use for full filter tables before switching to interpolated filter tables. 1048576 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_MODE_THRESHOLD

G_TYPE_UINT: the amount of memory to use for full filter tables before switching to interpolated filter tables. 1048576 is the default.

### GST_AUDIO_RESAMPLER_OPT_FILTER_OVERSAMPLE

    #define GST_AUDIO_RESAMPLER_OPT_FILTER_OVERSAMPLE "GstAudioResampler.filter-oversample"

G_TYPE_UINT, oversampling to use when interpolating filters 8 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_OVERSAMPLE

G_TYPE_UINT, oversampling to use when interpolating filters 8 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_FILTER_OVERSAMPLE

G_TYPE_UINT, oversampling to use when interpolating filters 8 is the default.

### GST_AUDIO_RESAMPLER_OPT_MAX_PHASE_ERROR

    #define GST_AUDIO_RESAMPLER_OPT_MAX_PHASE_ERROR "GstAudioResampler.max-phase-error"

G_TYPE_DOUBLE: The maximum allowed phase error when switching sample rates. 0.1 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_MAX_PHASE_ERROR

G_TYPE_DOUBLE: The maximum allowed phase error when switching sample rates. 0.1 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_MAX_PHASE_ERROR

G_TYPE_DOUBLE: The maximum allowed phase error when switching sample rates. 0.1 is the default.

### GST_AUDIO_RESAMPLER_OPT_N_TAPS

    #define GST_AUDIO_RESAMPLER_OPT_N_TAPS      "GstAudioResampler.n-taps"

G_TYPE_INT: the number of taps to use for the filter. 0 is the default and selects the taps automatically.

### GstAudio.AUDIO_RESAMPLER_OPT_N_TAPS

G_TYPE_INT: the number of taps to use for the filter. 0 is the default and selects the taps automatically.

### GstAudio.AUDIO_RESAMPLER_OPT_N_TAPS

G_TYPE_INT: the number of taps to use for the filter. 0 is the default and selects the taps automatically.

### GST_AUDIO_RESAMPLER_OPT_STOP_ATTENUATION

    #define GST_AUDIO_RESAMPLER_OPT_STOP_ATTENUATION "GstAudioResampler.stop-attenutation"

G_TYPE_DOUBLE, stopband attenuation in decibels. The attenuation after the stopband for the kaiser window. 85 dB is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_STOP_ATTENUATION

G_TYPE_DOUBLE, stopband attenuation in decibels. The attenuation after the stopband for the kaiser window. 85 dB is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_STOP_ATTENUATION

G_TYPE_DOUBLE, stopband attenuation in decibels. The attenuation after the stopband for the kaiser window. 85 dB is the default.

### GST_AUDIO_RESAMPLER_OPT_TRANSITION_BANDWIDTH

    #define GST_AUDIO_RESAMPLER_OPT_TRANSITION_BANDWIDTH "GstAudioResampler.transition-bandwidth"

G_TYPE_DOUBLE, transition bandwidth. The width of the transition band for the kaiser window. 0.087 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_TRANSITION_BANDWIDTH

G_TYPE_DOUBLE, transition bandwidth. The width of the transition band for the kaiser window. 0.087 is the default.

### GstAudio.AUDIO_RESAMPLER_OPT_TRANSITION_BANDWIDTH

G_TYPE_DOUBLE, transition bandwidth. The width of the transition band for the kaiser window. 0.087 is the default.

### GST_AUDIO_RESAMPLER_QUALITY_DEFAULT

    #define GST_AUDIO_RESAMPLER_QUALITY_DEFAULT 4

### GstAudio.AUDIO_RESAMPLER_QUALITY_DEFAULT

### GST_AUDIO_RESAMPLER_QUALITY_MAX

    #define GST_AUDIO_RESAMPLER_QUALITY_MAX 10

### GstAudio.AUDIO_RESAMPLER_QUALITY_MAX

### GST_AUDIO_RESAMPLER_QUALITY_MIN

    #define GST_AUDIO_RESAMPLER_QUALITY_MIN 0

### GstAudio.AUDIO_RESAMPLER_QUALITY_MIN

The results of the search are